#!/bin/sh
#------------------------------------------------------------------
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $Header: /project/isv-agent/VProAgents/SAPNW/SAPMonitorProgram.sh,v 1.3 2014/05/07 15:06:12 avaidya Exp $
#
# $Author: avaidya $
# $Date: 2014/05/07 15:06:12 $
# $Revision: 1.3 $
#------------------------------------------------------------------

PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:$PATH

usage ()
{
    echo "Usage: SAPMonitorProgram.sh <SAPSID> <INSTANCE_NAME> <VIRTUAL_HOST>"
    exit 1
}


if [ $# -ne 3 ]; then
    usage
fi

sapsid=$1
instance=$2
vhost=$3

OS=`uname`

if [ $OS = "AIX" ]; then
  cmd=`/bin/ps axwwwel | grep -E -i "sapstartsrv pf=.*profile/(START|${sapsid})_${instance}_${vhost}*" | grep -v grep`
elif [ $OS = "Linux" ]; then
  cmd=`/bin/ps wwe -eo uid,pid,ppid,args| grep -E -i "sapstartsrv pf=.*profile/(START|${sapsid})_${instance}_${vhost}*" | grep -v grep`
else
  cmd=`/usr/ucb/ps -axwwel | /usr/xpg4/bin/grep  -E -i "sapstartsrv pf=.*profile/(START|${sapsid})_${instance}_${vhost}*" | grep -v grep`
fi

ret=`echo $?`
if [ $ret != 0 ]; then
  exit 1
else
  exit 0
fi





